﻿# The script of the game goes in this file.
# madness_score

#splash screen
label splashscreen:
    scene black
    with Pause(1)
    play sound "audio/select_bleep.ogg"
    show lemi_studios_promo with dissolve
    with Pause (2)
    hide lemi_studios_promo with dissolve
    show text "A game by Roque L. Becerra" with dissolve
    with Pause(2)

    hide text with dissolve
    with Pause(1)

    return
# $ madness_score += 1
default madness_score = 0

#ctc blinking symbol
image ctc_blink:
        xpos 0.51 ypos 0.95
        xanchor 1.0 yanchor 0.8
        "gui/arrow.png"
        linear 0.5 alpha 1.0
        "gui/arrow2.png"
        linear 0.5 alpha 1.0
        repeat


# Permanent Text Screen
screen textbox2:
    add "gui/textbox.png" xalign 0.5 yalign 1.0


# Declare characters used by this game. The color argument colorizes the

#Bleep sound section
init python:
    renpy.music.register_channel("bleep","music",loop=True,tight=True)

init python:

        def bleepn(event, interact=True, **kwargs):
            if not interact:
                return
            if event == "show":
                renpy.music.play("audio/the_voice.ogg", channel="bleep")
            elif event == "slow_done" or event == "end":
                renpy.music.stop(channel="bleep")

init python:

        def bleepn2(event, interact=True, **kwargs):
            if not interact:
                return
            if event == "show":
                renpy.music.play("audio/the_talk.ogg", channel="bleep")
            elif event == "slow_done" or event == "end":
                renpy.music.stop(channel="bleep")

init python:

        def bleepn3(event, interact=True, **kwargs):
            if not interact:
                return
            if event == "show":
                renpy.music.play("audio/dark_voice.ogg", channel="bleep")
            elif event == "slow_done" or event == "end":
                renpy.music.stop(channel="bleep")

init python:

        def bleepn4(event, interact=True, **kwargs):
            if not interact:
                return
            if event == "show":
                renpy.music.play("audio/her_voice.ogg", channel="bleep")
            elif event == "slow_done" or event == "end":
                renpy.music.stop(channel="bleep")

init python:

        def bleepn5(event, interact=True, **kwargs):
            if not interact:
                return
            if event == "show":
                renpy.music.play("audio/gentle_voice.ogg", channel="bleep")
            elif event == "slow_done" or event == "end":
                renpy.music.stop(channel="bleep")

init python:

        def bleepn6(event, interact=True, **kwargs):
            if not interact:
                return
            if event == "show":
                renpy.music.play("audio/the_thing_talks.ogg", channel="bleep")
            elif event == "slow_done" or event == "end":
                renpy.music.stop(channel="bleep")


#main characters [cname]
define n = Character("", callback=bleepn, ctc="ctc_blink",ctc_position="fixed")
define y = Character("", callback=bleepn2, ctc="ctc_blink",ctc_position="fixed")
define y2 = Character("[povname]", callback=bleepn2, ctc="ctc_blink",ctc_position="fixed")
define dv = Character("", callback=bleepn3, ctc="ctc_blink",ctc_position="fixed", what_color="#9734F8")
define h = Character("", callback=bleepn4, ctc="ctc_blink",ctc_position="fixed", what_color="#DFAD75")
define gv = Character("", callback=bleepn5, ctc="ctc_blink",ctc_position="fixed", what_color="#40E034")
define sc = Character("", callback=bleepn6, ctc="ctc_blink",ctc_position="fixed", what_color="#FF0000")

#animated scenes
image bg_meteor:
    "images/bg_meteor_1.png"
    pause 0.5
    "images/bg_meteor_2.png"
    pause 0.5
    "images/bg_meteor_3.png"
    pause 0.5
    "images/bg_meteor_4.png"
    pause 0.5
    "images/bg_meteor_5.png"
    pause 0.5
    "images/bg_meteor_6.png"
    pause 0.5
    "images/bg_meteor_7.png"
    pause 0.5

image bg_star:
    "images/bg_star_1.png"
    pause 0.5
    "images/bg_star_2.png"
    pause 0.5
    "images/bg_star_3.png"
    pause 0.5
    "images/bg_star_4.png"
    pause 0.5
    "images/bg_star_5.png"
    pause 0.5
    "images/bg_star_6.png"
    pause 0.5
    "images/bg_star_7.png"
    pause 0.5
    "images/bg_star_8.png"
    pause 0.5

image bg_car:
    "images/car/car_1.png"
    pause 0.5
    "images/car/car_2.png"
    pause 0.5
    "images/car/car_3.png"
    pause 0.5
    "images/car/car_4.png"
    pause 0.5
    repeat
image bg_mask_guy_car:
    "images/mask_guy_1.png"
    pause 0.5
    "images/mask_guy_2.png"
    pause 0.5
    repeat

image bg_mask_guy_reverse:
    "images/mask_guy_1_reverse.png"
    pause 0.5
    "images/mask_guy_2.png"
    pause 0.5
    repeat

image monster_1:
    "images/monster_1/gas_station_appearance_1.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_2.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_3.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_4.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_5.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_6.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_7.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_8.png"
    pause 0.5

image knife_boy_intro:
    "images/FearMe_Intro_1.png"
    pause 0.5
    "images/FearMe_Intro_2.png"
    pause 0.5
    repeat

image monster_breath:
    "images/monster_1/gas_station_appearance_9.png"
    pause 0.5
    "images/monster_1/gas_station_appearance_10.png"
    pause 0.5
    repeat

image house_people:
    "images/house_people_1.png"
    pause 0.5
    "images/house_people_2.png"
    pause 0.5
    repeat

image together_forever:
    "images/together_we_are_stronger.png"
    pause 0.5
    "images/together_we_are_stronger_2.png"
    pause 0.5
    repeat


image mask_split:
    "images/mask_split/the_first_split.png"
    pause 0.5
    "images/mask_split/the_first_split_2.png"
    pause 0.5
    "images/mask_split/the_first_split_3.png"
    pause 0.5
    "images/mask_split/the_first_split_4.png"
    pause 0.5
    "images/mask_split/the_first_split_5.png"
    pause 0.5
    "images/mask_split/the_first_split_6.png"
    pause 0.5
    "images/mask_split/the_first_split_7.png"
    pause 0.5
    "images/mask_split/the_first_split_8.png"
    pause 0.5
    "images/mask_split/the_first_split_9.png"
    pause 0.5
    "images/mask_split/the_first_split_10.png"
    pause 0.5
    "images/mask_split/the_first_split_11.png"
    pause 0.5


image knife_boy:
    "images/knife_boy/knife_boy_1.png"
    pause 0.5
    "images/knife_boy/knife_boy_2.png"
    pause 0.5
    "images/knife_boy/knife_boy_3.png"
    pause 0.5
    "images/knife_boy/knife_boy_4.png"
    pause 0.5
    "images/knife_boy/knife_boy_5.png"
    pause 0.5
    "images/knife_boy/knife_boy_6.png"
    pause 0.5
    "images/knife_boy/knife_boy_7.png"
    pause 0.5
    "images/knife_boy/knife_boy_8.png"
    pause 0.5

# The game starts here.

label start:
    #play music "music/the_trumpet_of_the_locust.ogg"
    stop music
    scene bg_black
    show screen textbox2
    n "Was your name written in the book of the living or the book of the dead?"
    python:
            povname = renpy.input("Write your name in the book.", length=32)
            povname = povname.strip()


            if not povname:
                povname = "Dead Walker"

    n "The fifth angel sounded his trumpet, and I saw a star that had fallen from the sky to the earth. The star was given the key to the shaft of the Abyss."
    show bg_star
    pause 3
    show bg_meteor
    play sound "audio/the_meteor.ogg"
    with vpunch
    play music "music/the_trumpet_of_the_locust_finalized.ogg"
    n "When he opened the Abyss, smoke rose from it like the smoke from a gigantic furnace. The sun and sky were darkened by the smoke from the Abyss. "
    n "And out of the smoke locusts came down on the earth and were given power like that of scorpions of the earth."
    n "They were not allowed to kill them but only to torture them for five months. And the agony they suffered was like that of the sting of a scorpion when it strikes."
    n "During those days people will seek death but will not find it; they will long to die, but death will elude them."
    play sound "audio/the_wail.ogg"
    scene bg_black
    with pixellate
    with vpunch
    pause 1
    n "What will men do, when they are pit against each other or against themselves."
    show bg_car
    with dissolve
    with hpunch
    play music "music/Predetermined_Horror.ogg"
    y "I've been driving for hours..."
    y "I've been seeing things in the dark..."
    y "I'm not sure if what im seeing is real..."
    y "But I've seen many mangled bodies out there on the road..."
    y "People screaming and hollering strange things while clawing out their faces..."
    y "{size=+12}Madness is just a word till you see it.{/size}"
    y "My thought's are veering...I need to think straight..."
    y "{size=+5}think{/size}..."
    y "{size=+11}think!{/size}"
    y "What can I think about!"
    y "Think quickly!"
    menu:
        "My family?":
            play sound "audio/select_bleep.ogg"
            show bg_mask_guy_car
            $ madness_score += 1
            jump madness_1
        "My job?":
            play sound "audio/select_bleep.ogg"
            show bg_mask_guy_car
            $ madness_score += 2
            jump madness_2

    label madness_1:
    y "Yeah..yeah..."
    y "All together, all holding hands!"
    y "Such a pretty picture...but wait is that real?"
    y "Am I happy in my family? What was the last thing my family said."
    play sound "audio/choice.ogg"
    menu:
        "Was it unconditional love?":
            play sound "audio/select_bleep.ogg"
            jump .within_madness_1
        "Was it conditional love?":
            play sound "audio/select_bleep.ogg"
            jump .within_madness_1_2

    label .within_madness_1:
    y "{size=+2}Hey...{/size}..."
    y "{size=+5}Hey...{/size}..."
    y "{size=+10}Hey...{/size}..."
    gv "[povname] we love you...no matter what."
    gv "Even though we died during the first weeks. We love you."
    gv "We are not part of the living...but our love for you..."
    gv "It will linger inside your heart."
    gv "It makes all the difference to love someone unconditionally."
    gv "Dont forget it."
    $ madness_score -= 1
    jump continue_1
    label .within_madness_1_2:
    with vpunch
    dv "{size=+2}Hey...{/size}..."
    dv "{size=+5}Hey...{/size}..."
    dv "{size=+10}Hey...{/size}..."
    dv "Remember [povname] to be obedient for our sake."
    dv "Remember to not stress us out ever and to keep your mouth shut."
    dv "Remember to live for us, to completely neglect yourself and serve {size=+10}us{/size}"
    y "What..."
    y "Who is that!"
    y "Who are you!?"
    $ madness_score += 1
    jump continue_1

    label madness_2:
    dv "[povname] you are nothing but a cog in the machine."
    dv "Your entire life has been preordained into servitude."
    dv "Work in, work out...work till your fingers fall off."
    dv "Good little servant, don't question your orders."
    dv "Don't seek meaning beyond this."
    dv "Serve us."
    dv "{size=+10}Serve us.{/size}"
    y "Get out of my head!"
    $ madness_score += 1
    jump continue_1

    label continue_1:
    show bg_mask_guy_reverse
    with vpunch
    y "I really need to find a way to stop that voice in my head."
    y "I can't stay in this car forever..."
    y "Im running out of gas and supplies..."
    y "My chest hurts..."
    y "My head feels like it's going to burst any minute."
    y "What should I do?"
    play sound "audio/choice.ogg"
    menu choices:
        "Go to the gas station.":
            play sound "audio/select_bleep.ogg"
            jump go_to_the_gas_station
        "Find a house.":
            play sound "audio/select_bleep.ogg"
            jump find_a_house
        #"Go to the police station.":
            #play sound "audio/select_bleep.ogg"
            #jump find_a_convenience_store


    label go_to_the_gas_station:
    hide gas_station
    show gas_station
    with dissolve
    with vpunch
    y "Maybe I can get some gas and supply's here and run off to the country and hide."
    y "My options are starting to look slim, I have no idea what im going to do."
    hide gas_station_appearance
    show gas_station_appearance
    with vpunch
    play sound "audio/select_bleep.ogg"
    y "Hello is someone out there..."
    y "I can see you back there!"
    sc "......................"
    sc "..................................................."
    y "Are you okey?!"
    sc "......................................................\n.........................."
    sc "......................................................\n......................................................"
    menu:
        "Get closer and investigate.":
            play sound "audio/big_steps.ogg"
            play music "music/solitary_existance.ogg"
            $ madness_score += 1
            jump dead_1
        "Get on the car and drive as far away as possible.":
            $ madness_score += 1
            jump escape_1
    label dead_1:
    hide monster_1
    show monster_1
    pause 5
    hide monster_breath
    show monster_breath
    play sound "audio/the_heart.ogg"
    y "Hello..."
    y "Can I help you sir?"
    y "What should I tell him..."
    sc "{size=-10}Do it...just do it...{/size}"
    sc "{size=-10}End it now.{/size}"
    sc "{size=+20}Do it...just do it...{/size}"
    sc "{size=+20}End it now.{/size}"
    sc "{size=+30}End it now.{/size}"
    menu:
        "What? Why!?":
            jump why_why
        "I cant!":
            jump I_cant
    label why_why:
    y "What are you talking about?!"
    y "What are you?!"
    y "What is going on here?!"
    sc "You dont understand."
    sc "I can't end it myself!"
    sc "There is only suffering!"
    sc "{size=+30}I hear the voices calling me!{/size}"
    y "There has to be another way!"
    y "We can do this together!"
    y "Tell me something, anything!"
    y "Tell me about your pets? or hobby?"
    sc "I used to have a pet, she was called Sandy...whe was the most beautiful dog."
    sc "She was such a good dog...I can still remember her..."
    sc "Grrr.....it hurts...."
    sc "{size=+30}HAAAaaaAAAAaaaAaAaa!{/size}"
    sc "Is too late for me!"
    y "NoOOooo!"
    y "Is not true!"
    gv "Guide him...show him what real love is."
    y "What is your name?!"
    sc "{size=-10}My name...{/size}"
    sc "My name...."

    sc "Get away!"
    sc "{size=+20}Get away!{/size}"
    sc "{size=+30}Get away!{/size}"
    sc "I can only feel myself splitting..."
    sc "{size=+30}My mind is breaking!{/size}"
    show sepration
    play sound "audio/the_breaking.ogg"
    sc "Stay away!"
    sc "Who am I?"
    sc "Who are you?"
    sc "I dont know who I am anymore..."
    gv "Sometimes we lose ourselves."
    gv "But there is hope even in the worse possible scenarios."
    gv "Show them the love we taught you."
    y "How can I help him?!"
    sc "Leave me..."
    menu:
        "No. I wont leave you!":
            jump Stay
        "I have to leave...":
            jump Go
    label Stay:
    y "Don't worry I will stay by your side till you feel better."
    sc "{size=-10}Thank...{/size}{size=-15}you...{/size}"
    sc "{size=-15}Thank...{/size}{size=-20}you...{/size}"
    y "He fell asleep."
    y "Maybe helping someone is not that bad of an end."
    y "The hours are passing by..."
    y "I can hardly think anymore..."
    y "Im slowly fading..."
    show screen_end
    with dissolve
    n "Ending: ''Loving till the end''"
    return

    label Go:
    y "I cant stay here!"
    y "Otherwise I will end up the same way..."
    y "I have a bad feeling about it."
    y "Even though I do want to help him..."
    y "But I want to survive!"
    y "My head is hurting again."
    play music "music/Predetermined_Horror.ogg"
    hide bg_car
    show bg_car
    y "I did the right thing? Right?!"
    y "I knew if I stayed back it was probably going to be my end..."
    dv "I really like your justifications."
    y "Just stop."

    menu:
        "Find a house.":
            play sound "audio/select_bleep.ogg"
            jump find_a_house



    label I_cant:
    #show gas_station_appearance_9
    with vpunch
    hide monster_breath
    show monster_breath
    label escape_1:
    y "Yeah I dont think so..."
    y "Sir please stay over there..."
    y "I am heading out okey!"
    y "I hope you find what you are looking for!"
    sc "........................................."
    y "What did you say!"
    sc "Be careful!"
    y "What was that!"
    sc "{size=+30}BE CAREFUL!{/ize}"
    show mask_split
    play sound "audio/the_wail.ogg"
    y "No."
    dv "You are now with us."
    dv "Is okey..."
    dv "Split for us."
    play sound "audio/cracked_open.ogg"
    play music "music/the_trumpet_of_the_locust_finalized.ogg"
    show split
    with vpunch
    with dissolve
    show screen_end

    n "Ending: ''The Split''"
    return





    label find_a_house:
    show bg_the_house_2
    with dissolve
    y "I think I might have found a place to stay in."
    y "Is quiet..."
    y "I wonder if there is anyone here."
    menu:
        "Turn the lights off":
            play sound "audio/select_bleep.ogg"
            with hpunch
            jump ligths_off
        "Leave the ligths on":
            play sound "audio/select_bleep.ogg"
            with hpunch
            jump ligths_on


    label ligths_on:
    show bg_the_house_2
    y "Let's get a bit closer to the house."
    y "I see two figures moving around inside the house..."
    y "I wonder who it is..."
    y "Hello! Is anyone there?!"
    h "......................."
    jump continue_2

    label ligths_off:
    show bg_the_house
    with hpunch

    y "I cant really see much without the lights..."
    y "I need to get a bit closer."
    dv "{size=+2}Hey...{/size}..."
    dv "{size=+5}Hey...{/size}..."
    dv "{size=+10}Hey...{/size}..."
    y "What!?"
    y "What do you want with me?"
    dv "When was the last time you actually did something right?"
    y "What do you mean?!"
    dv "When was the last time you actually were succesful?"
    y "Stop. I know the game you are playing."
    dv "One thing and another...divided in two...divide it..."
    y "I wont give in."
    dv "..."
    y "..."
    #y "Oh so now you are going to be quiet."
    y "Remember is all in your head..."
    y "That thing is trying to get into your head."
    y "Let's just enter into the house."
    $ madness_score += 1
    jump continue_2

    label continue_2:
    #stop music fadeout 1.0
    scene bg_room
    with hpunch
    play music "music/the_house_situation.ogg"
    y "Hello. Is anyone home?!"
    h "..."
    y "Hello!"
    y "{size=+12}Hello?{/size}"
    show bg_room_people
    with dissolve
    with vpunch
    h "Who are you!?"
    y "No! Who are you!?"
    h "Hey! No need to get hostile..."
    y "Is this your house?"
    h "Not really..."
    h "We are just trying to hide from the chaos outside!"
    y "You to?!"
    h "Yes!"
    h "The last thing we saw was someone screaming at the top of their lungs saying!"
    h "Do it! Just do it!"
    h "As if asking someone to end their miserable existance!"
    h "We freaked out and ran as far away as possible!"
    h "We didn't want to get the split!"
    y "Wait a minute..."
    y "Do you guys know more about what is happening?"
    y "I have been practically in radio silence this whole time."
    menu:
        "Tell me more please.":
            play sound "audio/select_bleep.ogg"
            with vpunch
            jump tell_me_more
    label tell_me_more:
    play music "music/Predetermined_Horror.ogg"
    show house_people
    with dissolve
    with vpunch
    h "Mmm where do we start."
    h "What has been happening is very bizarre but on the net, we got some answers."
    h "Right before everything went to hell."
    h "We heard a message being broadcasted on all parts of the world..."
    h "Two men stood up in front of a croud and warned everyone the worse was yet to come."
    h "That a star would fall from the sky and would begin the days of sorrows."
    h "Not long after the news went viral..."
    h "People began to form into two groups."
    h "Those that believed and those that thought they were a hoax."
    h "But then. {size=+12}A big asteroid came from the sky{/size}"
    h "It landed somewhere in South America, then something slowly slipped out from the crater it made..."
    h "People began to show strange behaviours."
    h "After that the economies of the world began to collapse, and military states began to surge..."
    h "New deceases never seen before spread through the populace!"
    h "One specifically was terrifying...is called the SPLIT"
    h "It's effects are mysterious, but they all end with the host being split."
    h "So we have been running away as far as possible, trying to find a place to rest."
    y "Understandable. I have been doing the same."
    h "As long as you are not infected you can stay..."

    menu:
        "I am not infected.":
            play sound "audio/select_bleep.ogg"
            jump not_infected
        "I am infected.":
            play sound "audio/select_bleep.ogg"
            jump infected
    label not_infected:
    dv "Yes...fool them into thinking you are okey..."
    dv "Perfect! YES!"
    y "Stop it..."
    h "Did you say something?"
    y "Oh no...it was nothing..."
    y "We should bunker down, and find supply's to pass the time"
    h "You are right!"
    show screen_end
    with dissolve
    with hpunch
    play sound "audio/select_bleep.ogg"
    y "I am pretty sure we will make it out of this."
    h "For sure!"
    hide screen_end
    show together_forever
    show screen_end
    with dissolve
    with vpunch
    play sound "audio/the_crying_mass.ogg"
    n "Ending: ''Guess Who.''"
    dv "We are all one happy family now."
    return

    label infected:
    y "I am."
    h "You are what?!"
    y "I am infected!"
    h "What!!!"
    h "Get out of here!"
    h "{size=+20}Get out!{/size}"
    dv "You dont have to leave if you dont want to..."
    dv "Why dont you put them in their place."
    y "Stop it..stop it!"
    h "He has it! He has the Split!"
    h "Dont make us take you out!"
    dv "Split...what is that! They are crazy!"
    y "Yeah!"
    y "YEAH!"

    menu:
        "I'll leave...":
            jump i_am_out
        "No one will make me get out of here.":
            jump fight
    label i_am_out:
    play music "music/Predetermined_Horror.ogg"
    y "There is not need for violence."
    gv "Sometimes the ultimate sacrifice is to make peace with others."
    hide bg_car
    show bg_car
    show screen_end
    with dissolve
    with vpunch
    play music "music/the_house_situation.ogg"
    n "For hours you drive into oblivion."
    n "Not knowing were to go...or what to do..."
    n "You only drive...and drive...."
    n "Into the darkness..."
    n "Till your life is no longer with you..."
    n "Ending: ''Peaceful Drive''"
    return

    label fight:
    play music "music/the_house_situation.ogg"
    show knife_boy
    show screen_end
    with dissolve
    with vpunch
    play sound "audio/the_crying_mass.ogg"
    dv "See...I told you...we had this."
    y "You were right. It was easy."
    n "Ending: ''The way of the knife.''"
    return


    label game_over:



    # This ends the game.

    return
